#ifndef __TBOD_H__
#define __TBOD_H__
#include <iostream>
#include <sstream>

using namespace std;

class TBod
	{
	double iX;
	double iY;
	double iZ;
	static int iLiving;

	double Delka() const;

public:
	static int Living();
	TBod(char aRetezec[]);
	TBod();
	TBod(double aX, double aY=0.0, double aZ=0.0);
	TBod(const TBod &aBod);
	~TBod();

	TBod operator+(const TBod &aHodnotaP) const;
	TBod& operator+=(const TBod &aHodnotaP);
	TBod& operator=(const TBod &aHodnotaP);

	friend TBod operator*(const int aHodnotaL, const TBod &aHodnotaP);

	double Vzdalenost() const;
	friend TBod Vzdalenost(const TBod &aHodnotaL, const TBod &aHodnotaP);
	operator double() const;

	friend ostream& operator<<(ostream &aStream, const TBod &aBod);
	}; /* class TBod */

#endif /* __TBOD_H__ */